# Uses of Class
javafx.scene.SnapshotResult

Packages that use SnapshotResult
Package
Description
javafx.scene
Provides the core set of base classes for the JavaFX Scene Graph API.

## Uses of SnapshotResult in javafx.scene

Method parameters in javafx.scene with type arguments of type SnapshotResult
Modifier and Type
Method
Description
`void`
Node.`snapshot(Callback<SnapshotResult,Void> callback, SnapshotParameters params, WritableImage image)`
Takes a snapshot of this node at the next frame and calls the specified callback method when the image is ready.
`void`
Scene.`snapshot(Callback<SnapshotResult,Void> callback, WritableImage image)`
Takes a snapshot of this scene at the next frame and calls the specified callback method when the image is ready.